Categories:
  - Internet
License: GPL-3.0-only
AuthorName: genofire
SourceCode: https://dev.sum7.eu/sum7/Conversations
IssueTracker: https://dev.sum7.eu/sum7/Conversations/issues
Changelog: https://dev.sum7.eu/sum7/Conversations/blob/HEAD/CHANGELOG.md

AutoName: Conversations with IPv6

RepoType: git
Repo: https://dev.sum7.eu/sum7/Conversations

Builds:
  - versionName: 2.5.0+fcr
    versionCode: 326
    commit: 2.5.0-sum7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' build.gradle

  - versionName: 2.5.1
    versionCode: 327
    commit: 2.5.1-sum7
    gradle:
      - conversationsFreeCompat
    prebuild: sed -i -e 's/targetSdkVersion 28/targetSdkVersion 25/' -e '/ExtraTranslation/a\
        \ \ \ \ \ \ \ abortOnError\ false' -e '/versionNameSuffix/d' build.gradle

  - versionName: 2.5.2
    versionCode: 329
    commit: 2.5.2-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.3
    versionCode: 330
    commit: 2.5.3-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.4
    versionCode: 333
    commit: 2.5.4-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.5
    versionCode: 334
    commit: 2.5.5-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.6
    versionCode: 336
    commit: 2.5.6-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.7
    versionCode: 337
    commit: 2.5.7-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

  - versionName: 2.5.8
    versionCode: 338
    commit: 2.5.8-sum7
    gradle:
      - conversationsFreeCompat
    prebuild:
      - find -type d -name "siacs" -print0 | xargs --null -I{} bash -c 'x="{}"; mv
        "$x" "${x/siacs/sum7}" '
      - find -type f -name "*.java" -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;
      - find -type f -name "*.xml"  -exec sed -i "/eu.siacs.conversations.axolotl/!
        s/eu.siacs./eu.sum7./" "{}" \;

MaintainerNotes: |-
    We rename package on fork to work more smoothly (sharing button) - https://github.com/kriztan/Pix-Art-Messenger/issues/160,
    but without in git repository to make it easier for update to upstream (see .gitlab-ci.yml).

AutoUpdateMode: Version %v-sum7
UpdateCheckMode: Tags ^[0-9.]+
CurrentVersion: 2.5.8
CurrentVersionCode: 338
